<template>
  <div class="w-editor-wrapper">
    <WEditor model-value="<p>I’m running Tiptap with Vue.js.🎉</p>" />
  </div>
</template>

<script lang="ts">
import { defineComponent, defineAsyncComponent } from 'vue';

export default defineComponent({
  name: 'App',
  components: {
    WEditor: defineAsyncComponent(
      () => import('../src/components/WEditor.vue')
    ),
  },
});
</script>

<style>
.w-editor-wrapper {
  max-width: 500px;
}

* {
  font-family: -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen,
    Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
}
</style>
